import { Vue } from "vue-property-decorator";
import { MessageThread } from "../../types/MessageThread";
import { ManagerModule } from "../../modules/ManagerModule";
export default class ThreadFooter extends Vue {
    thread: MessageThread;
    isLoadingProcessedAt: boolean;
    managerModule: ManagerModule;
    get manager(): import("../../../../types/Manager").Manager | null;
    reply(): boolean;
    closeThread(): MessageThread;
    openThread(): MessageThread;
}
